<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Guestbook module : 
* gbook.php: last changed 06/06/2010 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
$lang = strtolower($language);
if (!file_exists("starnet/interface/jquery/localization/messages_$lang.js"))
{
	$lang = "en" ;
}

//initialize vars
$name = "";
$message = "";
$email = "";
$homepage = "";
$modoption = "gbook";	//default choice

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 60 , 'S'); //sanitize the input
}

if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80 , 'A'); //sanitize the input, max 80 characters
}

if (IsSet ($_POST['homepage']))
{
	$homepage = sanitize($_POST['homepage'], 60 , 'S'); //sanitize the input
}

if (IsSet ($_POST['message']))
{
	$message = sanitize($_POST['message'], 1000 , 'S'); //sanitize the input
}

if (IsSet ($_GET['b']))
{
	$b = sanitize($_GET['b'], 5 , 'I');
}
if (IsSet ($_GET['l']))
{
	$l = sanitize($_GET['l'], 5 , 'I');
}

function address2text($address = "")
{
	// address2text -- convert email address to text; more difficult to harvest
	// Peter Fokker - 2004-03-13 - peter (at) berestijn (dot) nl ;-)
	global $sas_lang;
	//$at = $sas_lang['at'];
	//$dot = $sas_lang['dot'];
	if (empty ($at))
		$at = "at";
	if (empty ($dot))
		$dot = "dot";
	return str_replace("@", " ($at) ", str_replace(".", " ($dot) ", $address));
} // address2text

load_language($cmsdir . '/', 'sn_gbook'); //load language file

//define the gbook tables which are used
$table_gbook = $dbprefix."m_gbook";
$table_gbook_cat = $dbprefix."m_gbook_cat";

if ($_SESSION['site'] == "protected")
{
	$public = 1;	
}
else
{
	$public = 0 ;
}

$pagetitle = addslashes($pagetitle) ; //add slashes for the query
$query = "SELECT id, welcome, email, items, show_website, show_email, check_before_post, email_req FROM $table_gbook_cat 
			WHERE name = '".$pagetitle."' AND public = '$public' LIMIT 1";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysqli_num_rows($result);

if ($RecordCount > 0)
{
	$gbook_id = mysqli_result($result, 0, 0);
	$gbook_welcome_text = mysqli_result($result, 0, 1);
	$email_owner = mysqli_result($result, 0, 2);
	$items = mysqli_result($result, 0, 3);
	$show_website = mysqli_result($result, 0, 4); 
	$show_email = mysqli_result($result, 0, 5);
	$check_before_post = mysqli_result($result, 0, 6); 
	$email_req = mysqli_result($result, 0, 7); 
			
	switch ($modoption) // start of switch
	{
		case save :
		
			//try to prevent spam postings
			//if the submit_check_code stored in the session is equal to the one submitted
			//we allow submission
			if ($_POST['submit_check_code'] != $_SESSION['submit_check_code'] || !empty($_POST['leegt']) || $_POST[$_SESSION['somfield']] != ((int)$_SESSION['som1'] + (int)$_SESSION['som2']))  
			{
			   print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
			   print "<input type=\"button\" value=\"" . $sas_lang['goback'] . "\" name=\"backbutton\" 
					onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
			   exit;
			}
			
			$submitted_time_key = $pagetitle."_submitted_time";
			if (IsSet ($_SESSION[$submitted_time_key]))
			{
				//we have had a previous submit from this session and page
				//calculate how many seconds ago and
				//allow submission if the last submission is not longer than 5 minutes ago.
				$delta_time = time() - $_SESSION[$submitted_time_key] ; 
				if ($delta_time < 300)
				{
					print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
					print "<input type=\"button\" value=\"" . $sas_lang['goback'] . "\" name=\"backbutton\" 
						onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
					exit;
				}
			}
			
			$ip = $_SERVER["REMOTE_ADDR"];
			$string = "http://";
			if ((!strstr($homepage, $string)) AND (!empty($homepage)))
			{
				$homepage = "http://" . "$homepage";
			}
			
			if ($check_before_post == 1 ) 
			{
				$initial = 0 ;
				$check = $sas_lang['no'] ;
			}
			else
			{
				$initial = 1 ;
				$check = $sas_lang['yes'] ;
			}
			
			if ($email_owner != "")
			{
				$subject = $sitename . ": " . $sas_lang['gbook_module_guestbook'];
				$date1 = date("d-m-Y - H:i:s");
				$message_to_sent = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"
				\"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd\">
				<html>
				<head>
				<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . $sas_lang['lang_charset'] . "\">
				<title>".$sas_lang['gbook_module_guestbook']."</title>
				</head><body>
				 <b>" . $sas_lang['gbook_module_mailtext'] . "&nbsp;" . $sitename . "</b><br>
				 <table width=70%><tr>
				 <td width=30%>" . $sas_lang['gbook_module_date'] . "</td>
				 <td><b>$date1</b></td>
				 </tr>
				 <tr>
				 <td valign=top>" . $sas_lang['page'] . " </td>
				 <td><b>$pagetitle </b></td>
				 </tr>
				 <tr>
				 <td valign=top>" . $sas_lang['gbook_module_publish_directly'] . ": </td>
				 <td><b>$check </b></td>
				 </tr>
				 <tr>
				 <td>" . $sas_lang['gbook_module_name'] . " </td>
				 <td><b>$name</b></td>
				 </tr><tr>
				 <td>" . $sas_lang['gbook_module_email'] . " </td>
				 <td><b>$email</b></td>
				 </tr><tr>
				 <td>" . $sas_lang['gbook_module_website'] . ": </td>
				 <td><b>$homepage</b></td>
				 </tr><tr>
				 <td valign=top>" . $sas_lang['gbook_module_text'] . " </td>
				 <td><b>$message </b></td>
				 </tr><tr>
				 <td>IP:</td>
				 <td><b>$ip</b></td>
				 </tr>
				 </table>
				 </body></html>";
				//$message_to_sent = nl2br($message_to_sent);
				require ("$cmsdir/core/class.phpmailer.php"); //use the phpmailer class
				$mail = new PHPMailer();
				$mail->CharSet = $sas_lang['lang_charset'] ;
				$mail->From = $email; //email address of submitter
				$mail->FromName = $sitename;
				$mail->Subject = $subject;
				$mail->Body = $message_to_sent;
				$mail->IsHTML(true);
				$mail->AddAddress($email_owner); //add email address guestbook owner.
				$mail->Send();
			}
			
			mysqli_query($db,"INSERT INTO $table_gbook (id, name, email, homepage, date, message, initial, guestbook_id, IP) 
					VALUES (NULL, '$name', '$email',  '$homepage',  NOW(), '$message', '$initial', '$gbook_id', '$ip')");
			// set the last update date for the page
			$date1 = date("Y-m-d H:i:s");
			mysqli_query($db,"UPDATE $table_pages SET lastupdate = '$date1' WHERE id = '".$page."'");

			unset($_SESSION['security_code']); //clear the code so it cannot be used again!
			$_SESSION[$submitted_time_key] = time(); //record the time of this submission and page
			
			if ($check_before_post == 1 ) 
			{
				print "<script language=\"Javascript\">
				   <!--
				   alert (\"" . $sas_lang['gbook_module_publish_warning'] . "\");	
				   //-->
				   </script>";
			}
				
			print "<script language='javascript'>window.location = 'index.php?page=$page&section=$section'</script>";
			
		break;
		
		case gbook :
				
			if ($b == "")
			{
				$b = 1;
				$l = $items;
			}
			
			$result = mysqli_query($db,"SELECT id FROM $table_gbook WHERE initial = 1 AND guestbook_id = '".$gbook_id."'");
			$count = mysqli_num_rows($result); //number of gbook entries
			$limit_begin = $b -1;
	
			$query = "SELECT id, name, email, homepage, date, date_format(date, '%d-%m-%Y  %H:%i') AS Readable_Date, message, reply  
					FROM $table_gbook WHERE initial = 1 AND guestbook_id = '".$gbook_id."' ORDER BY date DESC LIMIT $limit_begin,$items";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
			$i = 0;
			
			if ($items > 0)
			{
				$pagtot = ceil($count / $items); //number of pages
			}
			else
			{
				$pagtot = 1 ;
			}

			if ($b == 1)
			{
				$pag = 1;
			} //page 1
			else
			{
				$pag = $l / $items;
			} //different as page 1
	
			if ($count < $l)
			{
				$l = $count;
			} //less records than the number per page
	
			$low = $b - $items;
	
			if ($b > $items) //we have more than one page
			{
				$high = $b -1;
				$previous_page = "<a class=\"sas_module_link\" href=\"index.php?section=$section&amp;page=$page&amp;b=$low&amp;l=$high\">" .
				$sas_lang['gbook_module_previous_page'] . "</a>";
			}
			else
			{
				$previous_page = ''; //no previous page
			}
	
			if ($count > $l) //number of records biggter than $l
			{
				$low = $b + $items; //$b + number per page
				$high = $l + $items; //$l + number per page
				$next_page = "<a class=\"sas_module_link\" href=\"index.php?section=$section&amp;page=$page&amp;b=$low&amp;l=$high\">" .
				$sas_lang['gbook_module_next_page'] . "</a>";
			}
			else
			{
				$next_page = ''; //no next page
			}
			print "<table class=\"sas_module_table\">
					<tr>
					<td><span class=\"sas_module_title\">". $gbook_welcome_text . "</span></td></tr>\n" .
					"<tr><td align=\"center\"><input type=\"button\" value=\"" . $sas_lang['gbook_module_sign'] . "\" 
					onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=sign';\"/>
					</td></tr>
					<tr><td>&nbsp;</td></tr>";
					
			while ($gbook_list = mysqli_fetch_array($result))
			{
				$gbook_message = str_replace("\n", "<br/>\n", "$gbook_list[6]");
				$gbook_message = str_replace(":)", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/smile.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":D", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/hugesmile.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":d", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/hugesmile.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":o", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/shame.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":p", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/tongue.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(";)", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/wink.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":(", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/sad.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":S", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/crooked.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":s", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/crooked.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":|", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/disgust.gif\" alt=\"Smiley\"/>", "$gbook_message");
				$gbook_message = str_replace(":#", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/mad.gif\" alt=\"Smiley\"/>", "$gbook_message");
				
				print "	<tr>
						<td width=\"100%\">
						<table border=\"1\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\" style=\"border-collapse: collapse\">
						<tr><td>
						<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
						<tr>
							<td width=\"15%\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_name'] . "</span></td>
							<td width=\"30%\"><span class=\"sas_module_text\">$gbook_list[1]</span></td>\n";
				
				if ($show_email == 1)
				{
					print "	<td width=\"15%\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_email'] . "</span></td>
						<td><span class=\"sas_module_text\">" . address2text($gbook_list[2]) . "</span></td>";
				}
				else
				{
				print "<td colspan=\"2\">&nbsp;</td>";
				}
				print "</tr>";
						
				if ($show_website == 1)
				{
				print "	<tr>
							<td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_website'] . ":</span></td>
							<td colspan=\"3\"><a href=\"" . $gbook_list[3] . "\" class=\"sas_module_link\">$gbook_list[3]</a>&nbsp;</td>
						</tr>";
				}
				
				print "<tr>
							<td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_date'] . "</span></td>
							<td colspan=\"3\"><span class=\"sas_module_text\">$gbook_list[5]</span></td>
						</tr>
						<tr>
							<td align=\"right\" valign=\"top\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_text'] . "</span></td>
							<td colspan=\"3\"><span class=\"sas_module_text\">$gbook_message</span></td>
						</tr>";
				if ($gbook_list[7] != "")
				{
					$gbook_message = str_replace("\n", "<br/>\n", "$gbook_list[7]");
					$gbook_message = str_replace(":)", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/smile.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":D", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/hugesmile.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":d", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/hugesmile.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":o", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/shame.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":p", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/tongue.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(";)", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/wink.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":(", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/sad.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":S", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/crooked.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":s", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/crooked.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":|", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/disgust.gif\" alt=\"Smiley\"/>", "$gbook_message");
					$gbook_message = str_replace(":#", "<img src=\"" . $cmsdir . "/modules/sn_gbook/smiles/mad.gif\" alt=\"Smiley\"/>", "$gbook_message");
						print "<tr>
								<td>&nbsp;</td>
								<td colspan=\"3\" valign=\"top\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_reaction'] . ":</span></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=\"3\" valign=\"top\"><span class=\"sas_module_subtitle\">$gbook_message</span></td>
							</tr>";
				}
				
				print "</table></td>
						</tr></table>
						</td>
					</tr>
					<tr><td>&nbsp;</td></tr>";
			}
			print "</table><br/>
					<table width='100%' border=\"0\"><tr>
					<td align=\"left\">$previous_page&nbsp;</td>
					<td align=\"right\">&nbsp;$next_page</td>
					</tr></table>";
		break;
	
		case sign :
?>
<link rel="stylesheet" type="text/css" href="starnet/interface/css-form.css" />
<script>
//check if jquery is already loaded, if not load it
if(typeof jQuery == 'undefined') {
document.write('<script type="text/javascript" src="starnet/interface/jquery/jquery.js"></'+'script>');
var __noconflict = true;
}
</script>
<script src="starnet/interface/jquery/jquery.validate_en.js" type="text/javascript"></script>
<script src="starnet/interface/jquery/localization/messages_<?php echo strtolower($lang) ?>.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("#theForm").validate({
	  errorLabelContainer: "#ErrorBox",
	  groups: {group1:"name email message security_code"},
	  rules: {
		name: {
		  required: true,
		  rangelength: [2, 60]
		},
<?php
if ($email_req == 1)
	{
?>
		email: {
		  required: true,
		  email: true
		},
<?php
	}
?>
		subject: {
		  required: true,
		  rangelength: [4, 80]
		},
		message: {
		  required: true,
		  rangelength: [10, 3000]
		}
	}
  })
});
</script> 
<?php			
			//set a code in a session var which is checked at submit time.
			$submit_check_code = random_code(10) ;
			$_SESSION['submit_check_code'] = $submit_check_code ;
			
			print "<table cellspacing=\"0\" cellpadding=\"2\">
					<tr>
					<td colspan=\"18\">
					<span class=\"sas_module_title\">" . $sas_lang['gbook_module_sign'] . "</span>
					</td>
					</tr>
					<tr><td><b>:)&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/smile.gif\" alt=\"Smiley\"/></td>
					<td><b>:D&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/hugesmile.gif\" alt=\"Smiley\"/></td>
					<td><b>:o&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/shame.gif\" alt=\"Smiley\"/></td>
					<td><b>:p&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/tongue.gif\" alt=\"Smiley\"/></td>
					<td><b>;)&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/wink.gif\" alt=\"Smiley\"/></td>
					<td><b>:(&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/sad.gif\" alt=\"Smiley\"/></td>
					<td><b>:S&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/crooked.gif\" alt=\"Smiley\"/></td>
					<td><b>:|&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/disgust.gif\" alt=\"Smiley\"/></td>
					<td><b>:#&nbsp;</b></td><td><img src=\"$cmsdir/modules/sn_gbook/smiles/mad.gif\" alt=\"Smiley\"/></td></tr>
				</table>
				<br clear=\"all\" />
				<div id=\"ErrorBox\"></div>
				<div id=\"theform\">
				<form name=\"theForm\" id=\"theForm\" style=\"width: 500px;\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=save\" method=\"post\" />
				<ol>
				<li style=\"width: 488px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_name'] . " (*)</span></label>
					<input class=\"sas_module_input\" name=\"name\" size=\"30\" value=\"" . $name . "\" style=\"width: 270px;\" />
				</li>";
				$required = "" ;
			
				if ($email_req == 1)
				{
					$required = "(*)";
				}
			
				print 	"<li style=\"width: 488px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_email'] . " $required</span></label>
					<input class=\"sas_module_input\" name=\"email\" size=\"30\" value=\"" . $email . "\" style=\"width: 270px;\" />
					</li>";
			
				if ($show_website == 1)
				{
					print "<li style=\"width: 488px;\">
						<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_website'] . ":</span></label>
							<input name=\"homepage\" size=\"30\" value=\"" . $homepage . "\" style=\"width: 270px;\" />
						</li>";
				}
			
				$_SESSION['som1'] = rand(0,10);
				$_SESSION['som2'] = rand(0,10);
				$_SESSION['somfield'] = md5(rand(10,25));
				
				print "<li style=\"width: 488px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['gbook_module_text'] . " (*)</span></label>
					<textarea class=\"sas_module_input\" name=\"message\" rows=\"4\" style=\"width: 270px;\" cols=\"50\">$message</textarea>";

				print "<p style=\"margin: 0 0 0 180px;\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></p>
					<input id=\"" . $_SESSION['somfield'] . "\" name=\"" . $_SESSION['somfield'] . "\" value=\"\" type=\"hidden\" />
					<input type=\"hidden\" name=\"leegt\" value=\"\" />
					<input type=\"hidden\" name=\"submit_check_code\" value=\"$submit_check_code\"/></li>	
					<li style=\"padding-left: 210px; width: 284px;\"><button onclick=\"javascript:parent.location='index.php?section=$section&page=$page'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>
					<button type=\"submit\" class=\"button\"><em><span>" . $sas_lang['send'] . "</span></em></button></li>
					</ol></form>
				  </div>";
				print '<script type="text/javascript">document.getElementById(\'' . $_SESSION['somfield'] . '\').value = \'' . ((int)$_SESSION['som1'] + (int)$_SESSION['som2']) . '\'; </script>';
	
		break;
	}
}
else
{
	print "<span class=\"sas_module_error\">".$sas_lang['gbook_module_not_exists']."</span>" ;
}
?>